Pi Durable Platformdocs
ReferenceSign-in

Sign-in methods and instance identity for the web UI

GET
/v1/auth/config

Response Body

Sign-in configuration

application/json
  1. response
data*
curl -X GET 'https://agents.example.com/v1/auth/config'
{  "data": {    "instance": {      "name": "Pi Durable Platform",      "orgName": "Example Corp",      "theme": "neutral",      "logoUrl": "https://www.example.edu/logo.svg",      "supportUrl": "https://help.example.edu/ai"    },    "oidcEnabled": true,    "devAuthEnabled": true,    "loginUrl": "string",    "devAccounts": [      {        "id": "string",        "name": "string",        "email": "string",        "platformRole": "none"      }    ],    "teamRequestUrl": "string",    "connect": {      "issuer": "string",      "authorizationEndpoint": "string",      "tokenEndpoint": "string",      "revocationEndpoint": "string",      "registrationEndpoint": "string",      "scopes": [        "string"      ]    }  }}